Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support python3 in vim #290

Closed
wyegelwel opened this issue Feb 28, 2017 · 2 comments
Closed

Support python3 in vim #290

wyegelwel opened this issue Feb 28, 2017 · 2 comments

Comments

@wyegelwel
Copy link

@wyegelwel wyegelwel commented Feb 28, 2017

This is more of a heads up then anything else.

I installed a recent version of Ubuntu (16.10, though apparently 16.04 also has this) and the default vim (sudo apt-get install vim) doesn't come compiled with python support, only python3. This was causing serious problems with the experience of fireplace (evals were hanging). I followed the recommendation on this page to get "python" support instead. http://askubuntu.com/questions/775059/vim-python-support-on-ubuntu-16-04 Now things are working fine.

@tpope

This comment has been minimized.

Copy link
Owner

@tpope tpope commented Mar 4, 2017

My strategy around this has been to try to support both Python 2 and 3, though I guess I only tested the external execution code path. Fixing it might be as simple as updating the has('python') checks to allow for Python 3.

@tpope

This comment has been minimized.

Copy link
Owner

@tpope tpope commented May 9, 2019

:python3 is now supported.

@tpope tpope closed this May 9, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.